# zero out some useless deps.
# (tv) we'd better had a link in minicom & package Encode::HanConvert:
%global __requires_exclude runscript

%{?perl_default_filter}
%global __requires_exclude %__requires_exclude|^perl\\((\\.|\\.\\.)::|^perl\\((ctime.pl|saa-lib.pl|system-status-lib.pl)\\)||^perl\\(gray-theme::gray-theme-lib.pl\\)
%global __provides_exclude %__provides_exclude|^perl\\(.*\\)

# don't spend time with this either
%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}

Summary:	An SSL web-based administration interface for Unix systems
Name:		webmin
Version:	2.105
Release:	%mkrel 1
License:	BSD
Group:		System/Configuration
URL:		https://www.webmin.com/webmin/
Source0:	https://download.sourceforge.net/project/webadmin/%{name}/%{version}/%{name}-%{version}.tar.gz
Source2:	other.modules.tar.bz2
# some images were missing
Source33:	advanced.png
Source34:	descs.png
Source4:	webmin-postinstallscript.sh
Source5:	webmin
Source6:	webmin.initscript
# There is no easy way to get the direct link to this file. Download it manually
# and move it to the SOURCES directory.
# Remember to update the version here
# https://www.openit.it/index.php/en/downloads?task=viewcategory&catid=7
Source9:	openvpn-3.2.wbm.gz
Source10:	webmin.pam
Source11:	webmin-16.png
Source12:	webmin-32.png
Source13:	webmin-48.png
# uses include instead of pam_stack
Source14:	webmin.pam-new
Source15:	webmin.logrotate
# (gc) have the updates; this needs to change for each version and/or release, see
#      https://www.webmin.com/webmin/updates.html
Patch1:		webmin-1.950-remove-atboot-problem.diff
Patch5:		webmin-fix-newmods.patch
Patch7:		webmin-0.85-never-fail-detect-os.patch
Patch8:		webmin-0.85-enable-changed-theme-at-installation.patch

Patch19:	webmin-0.92-add-default-configs-logviewer-fp2k.patch
Patch21:	webmin-0.950-add-netsaint-mandrake-config.patch
Patch23:	webmin-1.020-ssl-location.patch
Patch29:	webmin-1.100-let-localauth-config.patch
Patch37:	webmin-temp-permission-fix.diff
Patch38:	webmin-ssldir-cosmetic.diff
Patch39:	webmin-fix-bandwith.diff
Patch44:	webmin-openvpn-config.patch
Patch45:	webmin-2.102-disable-update-notifications.patch
Patch46:	webmin-1.999-pidfile.patch

BuildRequires:	python3

Requires(post): systemd >= %{systemd_required_version}
Requires(pre):  rpm-helper
Requires:	perl
Requires:	perl-CGI
Requires:	perl(Authen::Libwrap)
Requires:	perl(IO::Tty)
Requires:	perl(JSON::PP)
Requires:	perl(Encode::Detect)
Requires:	perl(Encode::HanConvert)
Requires:	lsof
Requires(pre): sed chkconfig findutils coreutils initscripts grep perl-Net_SSLeay perl-Authen-PAM
Provides:	%{name}-%{version}
BuildArch:	noarch

%description
A web-based administration interface for Unix systems. Using Webmin you can
configure DNS, Samba, NFS, local/remote filesystems, Apache, Sendmail/Postfix,
and more using your web browser.

After installation, enter the URL https://localhost:10000/ into your browser
and login as root with your root password. Please consider logging in and
modify your password for security issue.

PLEASE NOTE THAT THIS VERSION NOW USES SECURE WEB TRANSACTIONS: YOU HAVE TO
LOGIN TO "https://localhost:10000/" AND NOT "http://localhost:10000/".

%prep

%setup -q -a 2
%setup -q -D -T -c -a 9 -n %{name}-%{version}

%patch1 -p0
%patch5 -p0
%patch7 -p1
%patch8 -p1

%patch19 -p0
%patch21 -p0
%patch23 -p1
%patch29 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1

rm -rf inetd jabber netsaint pptp-server webalizer wuftpd
rm -rf JSON
rm -rf acl/Authen-SolarisRBAC-0.1

find bind8 -type f -maxdepth 1 | xargs perl -pi -e 's|/var/run/(named/)*named\.pid|/run/named/named.pid|'

# daouda: added mageia-linux to known OS
cp config-mandrake-linux config-mageia

perl -pi -e 's|mandrake-linux|mageia mandrake-linux| if $_ =~ /^os_support.*mandrake-linux/ && $_ !~ /mageia/' */module.info

cat <<EOF >> software/config-mandrake-linux
update_system=urpmi
EOF

perl -pi -e 's|base_([ug])id=500|base_\1id=1000|' useradmin/config-mandrake-linux

(find . -name '*.cgi' ; find . -name '*.pl') | perl perlpath.pl /usr/bin/perl -

rm -f mount/freebsd-mounts-*
rm -f mount/macos-mounts-*
rm -f mount/openbsd-mounts-*

find -name ".xvpics" -o -name ".*.swp" | xargs rm -rf

find . -name \*.py -exec 2to3 -w {} \;

pathfix.py -pni "%{__python3} %{py3_shbang_opts}" webmin/acme_tiny.py

%build

# nothing to do here...

%install
# IMPORTANT: there is no %{_datadir} and so on, since the directories are decided by the post install script.
mkdir -p %{buildroot}/usr/share/webmin
mkdir -p %{buildroot}/%{_initrddir}
mkdir -p %{buildroot}/usr/bin

find -type f -print0 | xargs -0 chmod a+r
find -type d -print0 | xargs -0 chmod a+rx

cp -a * %{buildroot}/usr/share/webmin
install -m755 %{SOURCE6} %{buildroot}/%{_initrddir}/webmin
install -m755 %{SOURCE4} %{buildroot}/usr/share/webmin/postinstall.sh
install -m755 %{SOURCE5} %{buildroot}/usr/bin

mkdir -p %{buildroot}/%{_sysconfdir}/pam.d

install -m755 %{SOURCE14} %{buildroot}/%{_sysconfdir}/pam.d/webmin

rm -rf %{buildroot}/usr/share/webmin/*/{CVS,*/CVS}
rm -f `find %{buildroot} -type f -name .cvsignore`

# (gc) remove zero-length files (to check sometimes if they are still zero-length'ed)
for i in /usr/share/webmin/caldera/images/letters/254.gif /usr/share/webmin/i4lctrl-0.6.7/lang/de /usr/share/webmin/caldera/images/letters/255.gif; do
    if [ -f $i ]; then rm -f %{buildroot}$i; fi
done

echo "rpm" > %{buildroot}/usr/share/webmin/install-type

echo 'blue-theme' > %{buildroot}%{_datadir}/webmin/defaulttheme


# Install icons
install -d -m 0755 %{buildroot}%{_liconsdir}
install -d -m 0755 %{buildroot}%{_miconsdir}
install -m 0644 %{SOURCE11} %{buildroot}%{_miconsdir}/webmin.png
install -m 0644 %{SOURCE12} %{buildroot}%{_iconsdir}/webmin.png
install -m 0644 %{SOURCE11} %{buildroot}%{_liconsdir}/webmin.png

# Menu entry

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=An SSL web-based administration interface for Unix systems
Exec=%{_bindir}/www-browser https://localhost:10000/
Icon=%{name}
Terminal=false
Type=Application
Categories=X-Mageia-System-Configuration-Other;Settings;
EOF

#logrotate
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -m 0644 %{SOURCE15} %{buildroot}%{_sysconfdir}/logrotate.d/webmin

# create /var/run/webmin
mkdir -p %{buildroot}%{_tmpfilesdir}
cat > %{buildroot}%{_tmpfilesdir}/%{name}.conf <<EOF
d /run/webmin 0700 root bin -
EOF

%pretrans
if [ -d %{_datadir}/webmin/blue-theme ]; then
  rm -rf %{_datadir}/webmin/blue-theme
fi

%post
if [ "$1" != 0 ]; then
    service webmin status >/dev/null 2>/dev/null && need_restart=1
    service webmin stop >/dev/null 2>/dev/null || :
else
    [[ -e /etc/cron.allow ]] && if [ "x`grep root /etc/cron.allow`" == "x" ] ; then
	echo root >> /etc/cron.allow
    fi
fi
/usr/share/webmin/postinstall.sh
%_tmpfilescreate %{name}
%_post_service %{name}
[[ -n $need_restart ]] && service webmin start >/dev/null 2>/dev/null || :

%preun
%_preun_service webmin

%postun
if [ "$1" = 0 ]; then
    rm -rf /etc/webmin /var/webmin /var/lib/webmin /var/log/webmin
fi

%files
%license LICENCE
%doc README.md
%{_initrddir}/webmin
%config(noreplace) %{_sysconfdir}/pam.d/webmin
%config(noreplace) %{_sysconfdir}/logrotate.d/webmin
%{_datadir}/webmin
%{_bindir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/*.desktop
%{_tmpfilesdir}/%{name}.conf


%changelog
* Thu Nov 09 2023 kekepower <kekepower> 2.105-1.mga10
+ Revision: 2005295
- Update to version 2.105

* Wed Oct 18 2023 kekepower <kekepower> 2.104-1.mga10
+ Revision: 1998750
- Update to version 2.104

* Mon Oct 09 2023 kekepower <kekepower> 2.103-1.mga10
+ Revision: 1993772
- Update to version 2.103

* Mon Aug 28 2023 kekepower <kekepower> 2.102-1.mga10
+ Revision: 1980646
- Update to version 2.102

* Fri Jan 20 2023 kekepower <kekepower> 2.013-1.mga9
+ Revision: 1934579
- Update to version 2.013

* Fri Jan 20 2023 luigiwalser <luigiwalser> 2.012-1.mga9
+ Revision: 1934537
- 2.012

* Thu Jan 12 2023 kekepower <kekepower> 2.011-1.mga9
+ Revision: 1932535
- Update to version 2.011

* Mon Nov 28 2022 kekepower <kekepower> 2.010-1.mga9
+ Revision: 1912164
- Update to version 2.010

* Mon Sep 19 2022 kekepower <kekepower> 2.001-1.mga9
+ Revision: 1890320
- Update to version 2.001

* Sun Aug 21 2022 kekepower <kekepower> 2.000-1.mga9
+ Revision: 1878943
- Update to version 2.000

* Thu Aug 04 2022 kekepower <kekepower> 1.999-1.mga9
+ Revision: 1875257
- Update to version 1.999

* Mon Jul 25 2022 kekepower <kekepower> 1.998-1.mga9
+ Revision: 1871619
- Update to version 1.998

* Wed Jul 13 2022 luigiwalser <luigiwalser> 1.997-1.mga9
+ Revision: 1868698
- 1.997

* Tue Jul 05 2022 kekepower <kekepower> 1.996-1.mga9
+ Revision: 1867727
- Rediff Patch46
- Update to version 1.996

* Sun Jun 26 2022 kekepower <kekepower> 1.995-1.mga9
+ Revision: 1866337
- Rediff Patch46 - webmin pid file
- Update to version 1.995

* Thu Jun 16 2022 luigiwalser <luigiwalser> 1.994-2.mga9
+ Revision: 1864624
- add patch to fix path to pidfile in systemd service unit file (mga#30554)

* Tue May 24 2022 kekepower <kekepower> 1.994-1.mga9
+ Revision: 1860001
- Update to version 1.994

* Sun May 22 2022 kekepower <kekepower> 1.993-1.mga9
+ Revision: 1859750
- Update to version 1.993

* Mon Apr 18 2022 kekepower <kekepower> 1.991-1.mga9
+ Revision: 1851450
- Update to version 1.991

* Mon Mar 21 2022 umeabot <umeabot> 1.990-2.mga9
+ Revision: 1816551
- Mageia 9 Mass Rebuild

* Thu Mar 03 2022 luigiwalser <luigiwalser> 1.990-1.mga9
+ Revision: 1788141
- 1.990
- rediff patch 37

* Sun Dec 26 2021 kekepower <kekepower> 1.984-1.mga9
+ Revision: 1764124
- Rediff Patch37: webmin-temp-permission-fix.diff
- Update to version 1.984

* Sat Nov 27 2021 kekepower <kekepower> 1.982-1.mga9
+ Revision: 1759560
- Update to version 1.982

* Sun Aug 29 2021 luigiwalser <luigiwalser> 1.981-1.mga9
+ Revision: 1743543
- 1.981

* Sun Aug 22 2021 kekepower <kekepower> 1.980-1.mga9
+ Revision: 1742304
- Update to version 1.980

* Thu Jun 24 2021 luigiwalser <luigiwalser> 1.979-2.mga9
+ Revision: 1732068
- fix upgrade since blue-theme is now symlink to gray-theme

* Mon Jun 14 2021 kekepower <kekepower> 1.979-1.mga9
+ Revision: 1730649
- Update to version 1.979

* Thu Apr 29 2021 kekepower <kekepower> 1.974-1.mga9
+ Revision: 1720372
- Update to version 1.974
- Update OpenVPN module to version 3.2

* Sun Mar 07 2021 kekepower <kekepower> 1.973-1.mga9
+ Revision: 1700382
- Update to version 1.973

* Wed Mar 03 2021 kekepower <kekepower> 1.972-1.mga9
+ Revision: 1697525
- Update to version 1.972

* Fri Jan 08 2021 luigiwalser <luigiwalser> 1.970-1.mga8
+ Revision: 1669724
- 1.970

* Wed Nov 11 2020 luigiwalser <luigiwalser> 1.962-1.mga8
+ Revision: 1644742
- 1.962

* Mon Oct 19 2020 kekepower <kekepower> 1.960-1.mga8
+ Revision: 1636873
- Update to version 1.960

* Thu Aug 20 2020 luigiwalser <luigiwalser> 1.955-1.mga8
+ Revision: 1616727
- 1.955

* Sat Aug 01 2020 kekepower <kekepower> 1.954-1.mga8
+ Revision: 1610076
- Update to version 1.954

* Sun Jul 12 2020 luigiwalser <luigiwalser> 1.953-5.mga8
+ Revision: 1605674
- try setting base_[ug]id to 1000

* Fri Jul 10 2020 luigiwalser <luigiwalser> 1.953-4.mga8
+ Revision: 1604305
- revert incorrect changes

* Tue Jul 07 2020 joequant <joequant> 1.953-3.mga8
+ Revision: 1602837
- default to urpmi

* Tue Jul 07 2020 joequant <joequant> 1.953-2.mga8
+ Revision: 1602833
- major fix up of mageia config files

* Tue Jul 07 2020 kekepower <kekepower> 1.953-1.mga8
+ Revision: 1602783
- Update to version 1.953

* Sun Jul 05 2020 kekepower <kekepower> 1.952-1.mga8
+ Revision: 1602356
- Update to version 1.952

* Thu Jul 02 2020 luigiwalser <luigiwalser> 1.950-1.mga8
+ Revision: 1601482
- 1.950
- re-do patch 1

* Wed Feb 19 2020 umeabot <umeabot> 1.941-2.mga8
+ Revision: 1543152
- Mageia 8 Mass Rebuild

* Wed Jan 15 2020 kekepower <kekepower> 1.941-1.mga8
+ Revision: 1478056
- Fix Python shebangs
- Update to version 1.941

* Thu Dec 26 2019 kekepower <kekepower> 1.940-1.mga8
+ Revision: 1470121
- Explicitly set python3 in scripts
- Fix python files with 2to3 conversion
- Update to version 1.940

* Sun Aug 18 2019 kekepower <kekepower> 1.930-1.mga8
+ Revision: 1429738
- Update to version 1.930

* Fri Jul 05 2019 kekepower <kekepower> 1.920-1.mga8
+ Revision: 1418651
- Update to version 1.920

* Mon May 06 2019 kekepower <kekepower> 1.910-1.mga7
+ Revision: 1396481
- Update to version 1.910

* Fri Nov 16 2018 kekepower <kekepower> 1.900-1.mga7
+ Revision: 1330275
- Update to version 1.900

* Fri Sep 21 2018 umeabot <umeabot> 1.890-2.mga7
+ Revision: 1292003
- Mageia 7 Mass Rebuild

* Mon Jul 16 2018 luigiwalser <luigiwalser> 1.890-1.mga7
+ Revision: 1243816
- 1.890

* Sun Mar 18 2018 kekepower <kekepower> 1.881-1.mga7
+ Revision: 1210248
- Update to version 1.881

* Wed Mar 07 2018 kekepower <kekepower> 1.880-2.mga7
+ Revision: 1207045
- Added Requires for perl(Encode::HanConvert)

* Tue Mar 06 2018 kekepower <kekepower> 1.880-1.mga7
+ Revision: 1206989
- Update to version 1.880

* Thu Dec 07 2017 luigiwalser <luigiwalser> 1.870-1.mga7
+ Revision: 1181609
- 1.870

* Sat Oct 14 2017 luigiwalser <luigiwalser> 1.860-1.mga7
+ Revision: 1171866
- 1.860
- disable update notifications in one more place

* Sun May 07 2017 luigiwalser <luigiwalser> 1.840-1.mga6
+ Revision: 1099530
- 1.840
- remove bundled perl-JSON-PP and require system one
- require perl-Encode-Detect (used by filemin)

* Sun Jan 08 2017 luigiwalser <luigiwalser> 1.831-1.mga6
+ Revision: 1080597
- 1.831

* Thu Dec 29 2016 luigiwalser <luigiwalser> 1.830-1.mga6
+ Revision: 1078603
- 1.830

* Mon Oct 03 2016 luigiwalser <luigiwalser> 1.820-1.mga6
+ Revision: 1058220
- 1.820

* Mon Aug 08 2016 luigiwalser <luigiwalser> 1.810-1.mga6
+ Revision: 1044985
- 1.810

* Fri May 27 2016 luigiwalser <luigiwalser> 1.801-1.mga6
+ Revision: 1018936
- 1.801

* Thu May 26 2016 luigiwalser <luigiwalser> 1.800-1.mga6
+ Revision: 1018697
- 1.800

* Tue Mar 08 2016 luigiwalser <luigiwalser> 1.791-1.mga6
+ Revision: 987239
- 1.791

* Mon Mar 07 2016 luigiwalser <luigiwalser> 1.790-1.mga6
+ Revision: 987187
- 1.790

* Thu Dec 31 2015 luigiwalser <luigiwalser> 1.780-1.mga6
+ Revision: 917029
- 1.780
- remove patches 32 and 35 since we no longer have usermin packaged

* Sun Oct 11 2015 guillomovitch <guillomovitch> 1.770-2.mga6
+ Revision: 889595
- don't provides any Perl module, they are not available system-wide

* Tue Oct 06 2015 luigiwalser <luigiwalser> 1.770-1.mga6
+ Revision: 886612
- 1.770

* Mon Jun 22 2015 luigiwalser <luigiwalser> 1.760-1.mga6
+ Revision: 838627
- 1.760
- 1.750
- 1.740

* Tue Jan 06 2015 luigiwalser <luigiwalser> 1.730-2.mga5
+ Revision: 808797
- filter invalid autorequires (mga#14966)

* Fri Jan 02 2015 luigiwalser <luigiwalser> 1.730-1.mga5
+ Revision: 808190
- 1.730
- theme files no longer need to be modified to disable update notifications

* Mon Nov 24 2014 luigiwalser <luigiwalser> 1.720-1.mga5
+ Revision: 798858
- 1.720

* Wed Oct 15 2014 umeabot <umeabot> 1.710-2.mga5
+ Revision: 747071
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 luigiwalser <luigiwalser> 1.710-1.mga5
+ Revision: 733679
- 1.710
- iptables script calls are now fixed upstream

* Sat Sep 27 2014 tv <tv> 1.700-6.mga5
+ Revision: 727880
- add missing excludes

* Sat Sep 27 2014 tv <tv> 1.700-5.mga5
+ Revision: 726312
- add more exclude

* Sat Sep 27 2014 tv <tv> 1.700-4.mga5
+ Revision: 725893
- add excludes

* Tue Sep 23 2014 tv <tv> 1.700-3.mga5
+ Revision: 722234
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 1.700-2.mga5
+ Revision: 690287
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Aug 12 2014 luigiwalser <luigiwalser> 1.700-1.mga5
+ Revision: 662095
- 1.700

* Wed May 21 2014 luigiwalser <luigiwalser> 1.690-1.mga5
+ Revision: 624746
- 1.690

* Thu Mar 13 2014 luigiwalser <luigiwalser> 1.680-1.mga5
+ Revision: 603120
- 1.680

* Tue Jan 14 2014 luigiwalser <luigiwalser> 1.670-1.mga5
+ Revision: 566604
- 1.670
- rediff patch 45

* Mon Oct 21 2013 umeabot <umeabot> 1.660-2.mga4
+ Revision: 539100
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 luigiwalser <luigiwalser> 1.660-1.mga4
+ Revision: 491403
- 1.660

* Sun Aug 18 2013 luigiwalser <luigiwalser> 1.650-1.mga4
+ Revision: 467542
- 1.650

* Tue Aug 13 2013 luigiwalser <luigiwalser> 1.640-1.mga4
+ Revision: 466193
- 1.640
- remove syslog patch (fixed upstream)
- disable webmin update notifications (mga#10713)
- fix openssl.cnf path in openvpn module config (mga#10713)

* Wed May 15 2013 luigiwalser <luigiwalser> 1.630-1.mga4
+ Revision: 413269
- remove patches 26 and 33 and perl-ldap suggests as webmin can install packages
- 1.630
- remove upstreamed patches 10, 17, 41, 42, and 43 and source 16
- fix syslog config again
- cachemgr path is fixed upstream
- remove redundant config changes

* Mon Apr 22 2013 luigiwalser <luigiwalser> 1.620-3.mga3
+ Revision: 410939
- require perl-Authen-Libwrap so it is not pulled from cpan
- fix syslog config
- fix OS version detection
- require perl-IO-Tty and suggest perl-ldap so they are not pulled from cpan

* Sun Mar 24 2013 colin <colin> 1.620-2.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Thu Feb 07 2013 luigiwalser <luigiwalser> 1.620-1.mga3
+ Revision: 395123
- remove macos files (breaks build in find command in find-debuginfo.sh)
- 1.620
+ fwang <fwang>
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 luigiwalser <luigiwalser> 1.610-6.mga3
+ Revision: 332609
- use _post_service so that systemd sees the service
- use systemctl with openvpn.target to stop/start openvpn service
- attempt to fix openvpn config

* Fri Dec 14 2012 luigiwalser <luigiwalser> 1.610-5.mga3
+ Revision: 330945
- fix more module configs
- fix tmpfiles config
- remove pptp-server module

* Fri Dec 14 2012 luigiwalser <luigiwalser> 1.610-4.mga3
+ Revision: 330611
- fix syslog module configuration
- add working sshd and grub module configs
- remove useless modules
- adapt to systemd (use service command instead of init.d scripts)
- more urpmi fixes from Derek Jennings

* Thu Dec 13 2012 luigiwalser <luigiwalser> 1.610-3.mga3
+ Revision: 330549
- use systemd-tmpfiles to create /var/run/webmin
- fix service names for nfs, mysqld, and pptp

* Thu Dec 13 2012 luigiwalser <luigiwalser> 1.610-2.mga3
+ Revision: 330411
- more fixes for adapting to mageia (urpmi usage, desktop file, module configs)

* Wed Dec 12 2012 luigiwalser <luigiwalser> 1.610-1.mga3
+ Revision: 329967
- 1.610 (fixes several security issues)
- rediff patches 1 and 33

* Sun May 15 2011 pterjan <pterjan> 1.550-2.mga1
+ Revision: 99040
- Rebuild for fixed find-requires

* Tue May 03 2011 ennael <ennael> 1.550-1.mga1
+ Revision: 94392
- clean spec file
- remove uneeded patches (still some work to be done)
- replace mandriva icons
- remove mandriva theme
- remove very old webmin modules
- imported package webmin

